Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class AbstractStyle

    java.lang.Object
      org.deegree.graphics.sld.AbstractStyle

All Implemented Interfaces:
  Marshallable

Direct Known Subclasses:
  NamedStyle, UserStyle

    public abstract class AbstractStyle

extends Object
implements Marshallable

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`protected String` | `name` The name of the style

Constructor Summary
`AbstractStyle(String name)` Creates a new AbstractStyle object.

Method Summary
`String` | `getName()` The given Name is equivalent to the name of a WMS named style and is used to reference the style externally when an SLD is used in library mode and identifies the named style to redefine when an SLD is inserted into a WMS.
`void` | `setName(String name)` Sets the name attribute's value of the AbstractStyle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.framework.xml.Marshallable
`exportAsXML`

Field Detail

### name

    protected String name

  The name of the style

Constructor Detail

### AbstractStyle

    AbstractStyle(String name)

  Creates a new AbstractStyle object.

  Parameters:
    `name` -

Method Detail

### getName

    public String getName()

  The given Name is equivalent to the name of a WMS named style and is used to reference the style externally when an SLD is used in library mode and identifies the named style to redefine when an SLD is inserted into a WMS.

  Returns:
    the name

### setName

    public void setName(String name)

  Sets the name attribute's value of the AbstractStyle.

  Parameters:
    `name` - the name of the style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org